LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XEmbedPersist2 Interface Reference

`import"XEmbedPersist2.idl";`

Inheritance diagram for XEmbedPersist2:

## Public Member Functions
boolean | isStored ()
| Checks whether or not the object has created its persistent representation counterpart of its in-memory model. More...
Public Member Functions inherited from XEmbedPersist
void | setPersistentEntry ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] long nEntryConnectionMode, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| provides object with a parent storage and a name for object's entry. More...
void | storeToEntry ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object store itself to an entry in destination storage, the own persistence entry is not changed. More...
void | storeAsEntry ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object store itself to an entry in destination storage and prepare to use the new entry for own persistence. More...
void | saveCompleted ([in] boolean bUseNew) raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| specifies whether the object should use an old storage or a new one after "save as" operation. More...
boolean | hasEntry () raises ( ::com::sun::star::embed::WrongStateException )
| allows to detect if the object has entry. More...
string | getEntryName () raises ( ::com::sun::star::embed::WrongStateException )
| allows to retrieve the current object entry name. More...
Public Member Functions inherited from XCommonEmbedPersist
void | storeOwn () raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object or the link store itself. More...
boolean | isReadonly () raises ( ::com::sun::star::embed::WrongStateException )
| allows to detect if the data store is read-only. More...
void | reload ([in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object or the link reload itself. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ isStored()

boolean isStored | ( |  | ) |

Checks whether or not the object has created its persistent representation counterpart of its in-memory model.

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XEmbedPersist2.idl